from django.urls.base import reverse


def url_login(request):
    nxt = request.GET.get('next', request.get_full_path())
    return reverse('users-login') + '?next=%s' % nxt


def url_logout(request):
    nxt = request.GET.get('next', request.get_full_path())
    return reverse('users-logout') + '?next=%s' % nxt


def url_profile(request):
    nxt = request.GET.get('next', request.get_full_path())
    return reverse('users-profile') + '?next=%s' % nxt


def url_register(request):
    nxt = request.GET.get('next', request.get_full_path())
    return reverse('users-register') + '?next=%s' % nxt


def url_password_recovery(request):
    nxt = request.GET.get('next', request.get_full_path())
    return reverse('users-password-recovery') + '?next=%s' % nxt
